%define srcname characteristic

Name:           python-%{srcname}
Version:        14.3.0
Release:        %mkrel 11
Summary:        Python library that eases the chores of implementing attributes
Group:          Development/Python
License:        MIT
URL:            https://github.com/hynek/characteristic/
Source0:        https://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel


%description
Say 'yes' to types but 'no' to typing!

characteristic is a Python package with class decorators that ease the chores
of implementing the most common attribute-related object protocols.

You just specify the attributes to work with and ``characteristic`` gives you:

- a nice human-readable ``__repr__``,
- a complete set of comparison methods,
- and a kwargs-based initializer (that cooperates with your existing one)

*without* writing dull boilerplate code again and again.

So put down that type-less data structures and welcome some class into your
life!


%package -n python3-%{srcname}
Summary:        Python library that eases the chores of implementing attributes
Group:          Development/Python

%description -n python3-%{srcname}
Say 'yes' to types but 'no' to typing!

characteristic is a Python package with class decorators that ease the chores
of implementing the most common attribute-related object protocols.

You just specify the attributes to work with and ``characteristic`` gives you:

- a nice human-readable ``__repr__``,
- a complete set of comparison methods,
- and a kwargs-based initializer (that cooperates with your existing one)

*without* writing dull boilerplate code again and again.

So put down that type-less data structures and welcome some class into your
life!

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files characteristic test_characteristic

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%license LICENSE



%changelog
* Fri Feb 16 2024 papoteur <papoteur> 14.3.0-11.mga10
+ Revision: 2041902
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 14.3.0-10.mga9
+ Revision: 1823908
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 14.3.0-9.mga9
+ Revision: 1785601
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 14.3.0-8.mga9
+ Revision: 1733171
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 14.3.0-7.mga8
+ Revision: 1535546
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 14.3.0-6.mga8
+ Revision: 1452155
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 14.3.0-5.mga7
+ Revision: 1352152
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 14.3.0-4.mga7
+ Revision: 1288405
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 14.3.0-3.mga7
+ Revision: 1135338
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 14.3.0-2.mga6
+ Revision: 971960
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 philippem <philippem> 14.3.0-1.mga6
+ Revision: 893681
- imported package python-characteristic

